API reference
Create an agent wallet pairing challenge
Create an agent wallet pairing challenge. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.
POST
/v1/agent-payments/wallets/pairing-challengesAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/agent-payments/wallets/pairing-challenges" \ -H "Content-Type: application/json" \ -d '{ "network": "eip155:1", "address": "stringstringstringstringstringst" }'{
"challenge_id": "string",
"address": "string",
"network": "eip155:1",
"message": "string",
"expires_at": "2019-08-24T14:15:22Z"
}Empty
How is this guide?
Last updated
Revoke an agent key DELETE
Revoke an agent key. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.
Register a verified agent wallet POST
Register a verified agent wallet. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.